## com.crystaldecisions.report.web.viewer
Class ViewInfo

    java.lang.Object
      com.crystaldecisions.report.web.viewer.ViewInfo

public class ViewInfo
extends java.lang.Object

This class provides more information for the client when handling an event. The `ViewInfo` object extends the event handling information provided for the client, making it possible to obtain information that is not available from the specific listener that is being used.

For example, if you were using the event handler for the `NavigateEventListener`, you could use the following to access the group name from the `ViewInfo` object: ``

     public void navigate (NavigateEvents e){
     String groupName = ((CrystalReportViewer) (e.getSource()).getViewInfo().getGroupName();

Method Summary
`java.lang.String` | `getGroupName()` Returns the group name for the view.
`java.lang.String` | `getGroupNamePath()` Returns the path for the group name.
`java.lang.String` | `getGroupPath()` Returns the `GroupPath` for the view.
`int` | `getPageNumber()` Returns the page number for the view.
`java.lang.String` | `getSubreportContainingGroupPath()` Returns the data context for the subreport.
`java.lang.String` | `getSubreportName()` Returns the subreport name for the view.
`int` | `getSubreportPageNumber()` Returns the page number for the subreport.
`int` | `getSubreportXPos()` The X position of the subreport.
`int` | `getSubreportYPos()` The Y position of the subreport.
`int` | `getZoomFactor()` Returns the zoom factor for the view.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGroupName

    public java.lang.String getGroupName()

  Returns the group name for the view. This name indicates how the report content is being grouped.

  Returns:
    The name of the group as a `String`.

### getGroupNamePath

    public java.lang.String getGroupNamePath()

  Returns the path for the group name.

  Returns:
    The path for the group name as a `String`.

### getGroupPath

    public java.lang.String getGroupPath()

  Returns the `GroupPath` for the view.

  Returns:
    The `GroupPath` as an `String`.

### getPageNumber

    public int getPageNumber()

  Returns the page number for the view.

  Returns:
    The page number for the view as an `int`.

### getSubreportContainingGroupPath

    public java.lang.String getSubreportContainingGroupPath()

  Returns the data context for the subreport.

  Returns:
    The data context for the subreport as a `String`.

### getSubreportName

    public java.lang.String getSubreportName()

  Returns the subreport name for the view.

  Returns:
    The name of the subreport as a `String`.

### getSubreportPageNumber

    public int getSubreportPageNumber()

  Returns the page number for the subreport.

  Returns:
    The page number of the subreport as an `int`.

### getSubreportXPos

    public int getSubreportXPos()

  The X position of the subreport.

  Returns:
    The X position of the subreport as an `int`.

### getSubreportYPos

    public int getSubreportYPos()

  The Y position of the subreport.

  Returns:
    The Y position of the subreport as an `int`.

### getZoomFactor

    public int getZoomFactor()

  Returns the zoom factor for the view.

  Returns:
    The zoom factor for the view as an `int`.